AnsweredAssumed Answered

I need latest WHQL driver for 2600xt xp

Question asked by zradu on Dec 20, 2015
Latest reply on Dec 20, 2015 by zradu

I need latest WHQL driver for ati 2600xt for old windows xp.

 

I lost my original driver cd that become wit my Sapphire 2600xt AGP graphic card.

Thanks

Outcomes